%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Name:		avfs
Version:	1.0.1
Release:	%mkrel 2
Summary:	A Virtual File System
License:	GPLv2
Group:		System/Base
Url:		http://avf.sourceforge.net/

Source0:	%{name}-%{version}.tar.bz2

BuildRequires:	bzip2-devel
BuildRequires:	pkgconfig(fuse)
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(zlib)

Requires:	%{libname} = %{version}-%{release}

%description
AVFS is a system, which enables all programs to look inside archived or
compressed files, or access remote files without recompiling the programs
or changing the kernel.
At the moment it supports floppies, tar and gzip files, zip, bzip2, ar and
rar files, ftp sessions, http, webdav, rsh/rcp, ssh/scp. Quite a few other
handlers are implemented with the Midnight Commander's external FS.

%package -n %{libname}
Summary:	Libraries needed for %{name}
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the libraries for the %{name} virtual file system.

%package -n %{develname}
Summary:        Header files for %{name}
Group:          System/Libraries
Provides:       %{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
This package contains the header files needed to develop with %{name}

%prep
%setup -q

%build
%configure2_5x --with-system-zlib --with-system-bzlib --enable-fuse --enable-static=no
%make

%install
%makeinstall_std

find %{buildroot} -name *.la -delete

%files
%doc README AUTHORS ChangeLog NEWS
%{_bindir}/avfs-config
%{_bindir}/avfsd
%{_bindir}/davpass
%{_bindir}/ftppass
%{_bindir}/mountavfs
%{_bindir}/umountavfs

%files -n %{libname}
%{_libdir}/avfs
%{_libdir}/libavfs*.so.*

%files -n %{develname}
%{_libdir}/libavfs*.so
%{_includedir}/avfs.h
%{_includedir}/virtual.h



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.0.1-2.mga3
+ Revision: 346703
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 13 2012 obgr_seneca <obgr_seneca> 1.0.1-1.mga3
+ Revision: 260298
- New version 1.0.1

* Tue Feb 14 2012 obgr_seneca <obgr_seneca> 1.0.0-1.mga2
+ Revision: 208680
- added missing buildrequires
- imported package avfs

